RubyGems Navigation menu

rubocop 0.55.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.12.1 - April 04, 2021 (477 KB)
  2. 1.12.0 - March 24, 2021 (476 KB)
  3. 1.11.0 - March 01, 2021 (473 KB)
  4. 1.10.0 - February 15, 2021 (469 KB)
  5. 1.9.1 - February 01, 2021 (467 KB)
  6. 0.55.0 - April 16, 2018 (383 KB)
Show all versions (174 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (2):

  • bundler ~> 1.3
  • rack < 2.0, >= 1.6.9
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    21fc1b25eee37a6b601144b02f2b90d608555aa09aafbf57f03636828d99169f

    Total downloads 152,102,083

    For this version 2,120,648

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Links: